/** Get blob hash from a file at specific commit
 * @param file filename or filepath. Filepath must be relative path
 * @param commit commit-id (SHA-1) or commit-message
 * @param options objects based on `git ls-tree` flags
 * @return Git Object hash (blob) of the file
 */
export declare function fromFile(file: string, commit: string, options?: {
    abbreviated: boolean;
    recurse: boolean;
}): string;
