/** Get commit hash from a submodule at specific commit
 * @param submoduleFolder folder name or path of the git submodule. Path must be relative path
 * @param commit commit-id (SHA-1) or commit-message
 * @param options objects based on `git ls-tree` flags
 * @return Git Object hash (commit) of the submodule
 */
export declare function fromSubmodule(submoduleFolder: string, commit: string, options?: {
    abbreviated: boolean;
}): string;
