/** Get commit hash from commit-message
 * Be careful it will return either individual or array of string
 * @param message commit message
 * @param options objects based on `git log` flags
 * @return Git Object hash of the commit
 */
export declare function fromCommit(message: string, options?: {
    abbreviated: boolean;
    maxCount: number;
}): string | string[];
