/** Get tree hash from a folder at specific commit
 * @param folder folder name or path. Path must be relative path
 * @param commit commit-id (SHA-1) or commit-message
 * @param options objects based on `git ls-tree` flags
 * @return Git Object hash (tree) of the folder
 */
export declare function fromFolder(folder: string, commit: string, options?: {
    abbreviated: boolean;
    recurse: boolean;
}): string;
