/** Helper function to execute {@link https://git-scm.com/docs/git-notes#_subcommands git-notes subcommands}
 * @param sha SHA of commit, blob, or tree
 * @param options accept either value of `--ref` or `--ref` + {@link https://github.com/sindresorhus/execa#options execa Options}
 * @return list of function correspond to git-notes subcommands which can be called
 */
export default function (sha: string, options: GitNotes.Options): GitNotes.Operation;
